%define realname Catalyst-View-REST-XML
%define name	 perl-%{realname}
%define version	 0.01
%define release	 %mkrel 4

Summary:	XML View Class
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}/
Source:		%{realname}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%else
BuildRequires:	perl
%endif
BuildRequires:	perl-Catalyst >= 5
BuildRequires:	perl(XML::Simple)
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-root

%description
This is the XML::Simple view class.

%prep
%setup -q -n %{realname}-%{version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Catalyst/View/*
%{_mandir}/*/*

%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.01-4mdv2009.0
+ Revision: 255592
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.01-2mdv2008.1
+ Revision: 136678
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-2mdv2008.0
+ Revision: 86062
- rebuild


* Thu Mar 30 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.01-1mdk
- Initial mdv rpm

